com.pivotal.gemfirexd.internal.client.am

## Enum Connection.FailoverStatus

- java.lang.Object
- - java.lang.Enum<Connection.FailoverStatus>
  - - com.pivotal.gemfirexd.internal.client.am.Connection.FailoverStatus

All Implemented Interfaces:
  Serializable, Comparable<Connection.FailoverStatus>

Enclosing class:
  Connection

    public static enum Connection.FailoverStatus
    extends Enum<Connection.FailoverStatus>

Return status of `Connection#doFailoverOnException(String, int)` method.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NEW_SERVER` failover to a new server
`NONE` no failover to be done
`RETRY` retry to the same server

### Method Summary

Methods
`boolean` `isNone()`
`static Connection.FailoverStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Connection.FailoverStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final Connection.FailoverStatus NONE

no failover to be done

#### NEW_SERVER

    public static final Connection.FailoverStatus NEW_SERVER

failover to a new server

#### RETRY

    public static final Connection.FailoverStatus RETRY

retry to the same server

### Method Detail

#### values

    public static Connection.FailoverStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Connection.FailoverStatus c : Connection.FailoverStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Connection.FailoverStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isNone

    public boolean isNone()